# BA1.1 R Basics Introduction.R
# Insight: Getting help within R is easy, but there is a lot to know.
# #, cat(), help(), print(), ls(), rm(), getOption(), matrix(), list(), = v. <- 
# This is a comment line -- Place cursor on this line and click <Run> above
# Comment lines show up in the Console window but not in the Environment window
# q() # Quit R, q(no) -- quit without saving
rm(list = ls())  # Take out the Environment "trash"
cat("\014") # Clear Console, making error checking easier.
while (!is.null(dev.list()))  dev.off() # Clear old plots
# cat(): Outputs the object to the Console
cat("Hello R World for the 1st Time") # With cursor on this line, click <Run> above
# See Hello R World for the 1st Time in Console below
# Note the Global Environment within the Environment tab on the right is empty
# For help with any function
help("cat") 
?cat
# \n denotes an archaic way to add a new line
cat("\n\nHello R World for the 2nd Time\n\n") # With cursor on this line, click <Run> above
# Note that there are two lines above the phrase and only one line below.
# \n denotes "insert a new line," an artifact from initial software development
print("Alternative Way to say Hello R World for the 3rd Time")
help("print")
# See Help tab, often R Documentation is rather terse and not that helpful
Title1 <- 'Hello R World for the 4th Time'
Title2 <- 'Welcome to R'
# Title1 contains Hello R World for the 4th Time
# ls() identifies in the Console window what is in the Environment
ls()
list1 <- ls() # Could make a list of variables
list2 = ls() # Note: <- and = have the same effect (most of the time, see below)
# rm() removes ( name the elements here ) named elements within the Environment
rm() # Nothing removed
rm(list3 <- ls()) # Does not remove all
rm(list4 = ls()) # Does not remove all
# Next line remove all, "list" is a function useful for deleting all variables
rm(list = ls()) 
rm(Title1) # Warning because Title1 no longer exists (see Environment)
# Or with new line
# Environment is now empty -- useful for clean up of Environment page
Title1 <-
  'Hello R World for the 5th Time'
# Assignments can be performed in 2 other ways
Title2 = 'Hello R World for the 6th Time'
remove(Title2)
'Hello R World a 7th Time' -> Title3
rm(list = ls()) # Only run if you are sure you want to clear the Environment
# <control> <shift> C (Toggles comments: Try on the next three lines, highlight first)
cat("\nCommented out or not?")
cat("\nSecond line to comment")
cat("\nThird line to comment")
# Illustration of getOptions, options, digits
x <- 1234.56789
print(x) # Note x is a vector of size 1 [1]
getOption("digits") # Why is the value in the Console not the exact value in the Environment?
options(digits = 8)
print(x)
getOption("digits")
options(digits = 3)
print(x)
# Structuring matrices: Example: Option values and greeks
CallValue = 1.0 # Just some numbers to see how matrix is formed
PutValue = 2.0
CallDelta = 1.1
PutDelta = 1.2
CallGamma = 2.1
PutGamma = 2.2
CallVega = 3.1
PutVega = 3.2
CallTheta = 4.1
PutTheta = 4.2
CallRho = 5.1
PutRho = 5.2
# Matrix of option valuation results, 6 rows, 2 columns
# Note: data.frame() is better than matrix
OVMResults <- matrix(c(CallValue, PutValue, CallDelta, PutDelta, CallGamma, PutGamma,
  CallVega, PutVega, CallTheta, PutTheta, CallRho, PutRho), 
  nrow=6, ncol=2, byrow=TRUE)
# Names assigned, but not shown in printed results
OVMResults      # All values printed, 6 rows and 2 columns with option values
OVMResults[3,]  # Just gamma
# Assign names to columns and rows
dimnames(OVMResults) <- list(c("Value","Delta","Gamma","Vega","Theta","Rho"),c("Call","Put"))
OVMResults # Note row and column labels are now names
OVMResults[3,2] # One way to reference PutGamma value
OVMResults["Gamma","Put"] # Better way as it is readable
# When = does not behave as <-
# Create an integer vector with values 1 to 10
x = 1:10
median(x) # Compute the median
rm(x)
median(x = 1:10)  # No vector x created and median calculated
x                 # x DOES NOT exist
median(y <- 1:10) # Vector y created and only then median calculated
y                 # y DOES exist
