# A1.6 R Generic Color Plot Example
rm(list = ls())  # Take out the Environment "trash"
cat("\014") # Clear Console, making error checking easier.
while (!is.null(dev.list()))  dev.off() # Clear old plots
par(family = 'Times New Roman') # Globally set fonts for graphs
PackagesToLibrary <- c("stats") # Libraries
if (length(setdiff(PackagesToLibrary, rownames(installed.packages()))) > 0) {
  install.packages(setdiff(PackagesToLibrary, rownames(installed.packages())))  
} # Make sure libraries are installed on this computer
# Load and attach libraries
lapply(PackagesToLibrary, library, character.only = TRUE) 
rm(PackagesToLibrary)
# Technical plot manipulations require resetting back to default
defaultpar <- par() # plot global parameters
#
# Generic Plot: Inputs required
#
par(defaultpar) # Reset to default parameters
LineType <- "p" # "p" points; "l" lines; "b" both
LineSize <- 0.75
# Set x variable here:
isxDate <- FALSE
xT <- rnorm(500, 0, 1) # N(0, 1)
FixAxisX <- TRUE
MinValueX <- -5.0
MaxValueX <- 5.0
if(isxDate){
  xIT <- as.integer(x) # Dates are tricky: Convert to integer only (Julian)
} else {
  xIT <- xT
}
# Number of y variables and definitions
Ny <- 3
y1T <- 1.0 + 2.0*xT + rnorm(500) # Simple example
y2T <- 1.0 - 2.0*xT + rnorm(500)
y3T <- 0.0 + 0.0*xT + rnorm(500) 
FixAxisY <- TRUE
MinValueY <- -5.0
MaxValueY <- 5.0
# Titles and other information
Title1 <- "Title: "
legtxt <- c("y1","y2","y3")
mTitle <- paste0(Title1," Random Example")
xTitle <- "Random x"
yTitle <- "Random y"
lTitle <- "Parameter"
# Plot footers: Insert subtitles here
Tx <- paste0('x=', round(xT[1],4))
Ty1 <- paste0(',y=', round(y1T[1],4))
sTitle <- paste0(Tx, Ty1)
# Note Generic Plots.R can be reused as needed
source("Generic Plots.R")
