# Generic Plots.R
x <- xT
xI <- xIT
if(Ny == 1){
  y1 <- y1T
  MaxYValue <- max(y1, na.rm = TRUE)
  MinYValue <- min(y1, na.rm = TRUE)
}
if(Ny == 2){
  y1 <- y1T
  y2 <- y2T
  MaxYValue <- max(y1, y2, na.rm = TRUE)
  MinYValue <- min(y1, y2, na.rm = TRUE)
}
if(Ny > 2){
  y1 <- y1T
  y2 <- y2T
  y3 <- y3T
  MaxYValue <- max(y1, y2, y3, na.rm = TRUE)
  MinYValue <- min(y1, y2, y3, na.rm = TRUE)
}
if(FixAxisY){
  MaxYValue <- MaxValueY
  MinYValue <- MinValueY
}
ylim1 <- c(1:2); ylim1[1] <- MinYValue; ylim1[2] <- MaxYValue
MaxXValue <- max(xI); MinXValue <- min(xI)
if(FixAxisX){
  MaxXValue <- MaxValueX
  MinXValue <- MinValueX
}
xlim1 <- c(1:2); xlim1[1] <- MinXValue; xlim1[2] <- MaxXValue
# Illustrate more control over plots
#  Want legend outside of box to avoid overwriting data points
par(omi = c(0.2, 0, 0, 0)) # Set outer margins at bottom to 0.2 inches
plot(xI, y1, type = LineType, main = mTitle, axes = FALSE,
  sub = sTitle, xlab = xTitle, ylab = yTitle, col = "blue", xlim = xlim1, 
  ylim = ylim1, pch = 1, cex = LineSize)
lines(xI, y2, type = LineType, col ="red", xlim = xlim1, ylim = ylim1,
  pch = 2, cex = LineSize)
lines(xI, y3, type = LineType, col ="green", xlim = xlim1, ylim = ylim1,
  pch = 3, cex = LineSize)
box() # create a wrap around the points plotted
# Format x-axis
IncrementX <- round((as.numeric(MaxXValue) - as.numeric(MinXValue))/10.0,1)
TickMarksX <- c(seq(from = as.numeric(MinXValue), to = as.numeric(MaxXValue),
  by=IncrementX))
if(isxDate){
  lblX <- as.Date(TickMarksX, origin = "1960-01-01")
  lblX <- format.Date(lblX, "%b-%Y")
} else {
  lblX <- paste0(format(TickMarksX, trim = TRUE, digits = 4,
    justify = c("right"), width = 0, big.mark = ","))
}
axis(side = 1, labels = NA, tck = -0.015, at = TickMarksX)
axis(side = 1, lwd = 0, line = -0.4, at = TickMarksX, label = lblX)
# Format y-axis
IncrementY <- round((as.numeric(MaxYValue) - as.numeric(MinYValue))/10.0, 1)
TickMarksY <- c(seq(from=MinYValue,to=MaxYValue,by=IncrementY))
lblY = paste0(format(TickMarksY, trim = TRUE, digits = 4,
  justify = c("right"), width = 0, big.mark = ","))
axis(side = 2, labels = NA, tck = -0.015, at = TickMarksY)
axis(side = 2, lwd = 0, line = -0.4, las = 1, at = TickMarksY, label = lblY)
# Overlay with invisible plot solely for legend
par(fig = c(0, 1, 0, 1), oma = c(0, 0, 0, 0), mar = c(0, 0, 0, 0),new = TRUE)
plot(0, 0, type = "n", bty = "n", xaxt = "n", yaxt = "n",
     sub = sTitle)
legend("bottom", legtxt, horiz = TRUE, cex = 0.75, lwd = c(1,1,1), 
  lty = c(1,1,1), col = c("blue","red","green"), bty = "n", pch = c(1, 2, 3),   
  inset = c(0, 0))
par(defaultpar) # Reset to default parameters
